<?php require_once('Connections/cn.php'); ?>
<?php
    // Capturo los datos que vienen de cargar_inscripcion_cohorte.php.
	$periodo=$_GET['periodo'];
	$periodo_actual=$_GET['periodo_actual'];
	$sede=$_GET['sede'];
	$seccion=$_GET['seccion'];
	$seccion_oferta=$_GET['seccion_oferta'];
	$materia=$_GET['materia'];
	$carrera=$_GET['carrera'];
	
	// Valido si la materia esta ofertada.
	mysql_select_db($database_cn, $cn);
	  mysql_query ("SET NAMES 'utf8'");
	// Fecha en la cual se registra la nota.
  $fecha1 = explode("-",date("Y-m-d")); 
  $fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
  $fecha_hoy = cambioFecha($fecha2);   
  $fecha_ingreso=join ("-",(array_reverse(split("-",$fecha_hoy))));
  
  $query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
  $rs_carrera = mysql_query($query_carrera, $cn) or die(mysql_error());
  $row_carrera = mysql_fetch_assoc($rs_carrera);
  $totalRows_carrera = mysql_num_rows($rs_carrera);
  $nom_carrera=$row_carrera["nombre_carrera"];
 
  
  $query_periodo = "SELECT annio,codigo FROM periodos WHERE id_periodo='$periodo_actual'";
  $rs_periodo = mysql_query($query_periodo, $cn) or die(mysql_error());
  $row_periodo = mysql_fetch_assoc($rs_periodo);
  $totalRows_periodo = mysql_num_rows($rs_periodo);
  $annio=$row_periodo["annio"];
  $id_periodo=$row_periodo["codigo"]; 
	
	
	mysql_select_db($database_cn, $cn);
	mysql_query ("SET NAMES 'utf8'");
	// Se verifica si la materia esta ofertada.
 	$sql = "SELECT * FROM oferta_academica WHERE id_carrera='$carrera' and id_materia='$materia' and sede='$sede' and id_seccion='$seccion_oferta' and id_periodo='$periodo_actual'";
   
 	$rs_oferta=mysql_query($sql, $cn);
	$row_oferta = mysql_fetch_assoc($rs_oferta);
	$reg0=mysql_num_rows($rs_oferta);
if ($reg0 == 0)
{
	 ?>
	 <script type="text/javascript">
	    msj="Unidad Curricular "+'<?php echo $materia; ?>' +" no esta ofertada";
	 	alert(msj);
		return;
	 </script>
	 <?php
}
else
{	
    // Tomo el Id del profesor de la Oferta Académica.
	$docente=$row_oferta["id_profesor"];
		// Se buscan los participante de esa cohorte (Sólo los activos).
	$sql = "SELECT id_alumno FROM carreras_alumno WHERE cod_carrera='$carrera' and sede='$sede' and grupo='$seccion' and periodo_ingreso='$periodo' and status='A'";
 	$rs1=mysql_query($sql, $cn);  
	$reg1=mysql_num_rows($rs1);
	$inscritos=0;
	if ($reg1 > 0) {
	   while ($row = mysql_fetch_row($rs1)) { 
             $id_alumno = $row[0];  
			 
			 $query_alumnos = "SELECT cedula,apellidos,nombres FROM alumnos WHERE id_alumno='$id_alumno'";
 			 $rs_alumnos = mysql_query($query_alumnos, $cn) or die(mysql_error());
  			 $row_alumnos = mysql_fetch_assoc($rs_alumnos);
  			 $totalRows_alumnos = mysql_num_rows($rs_alumnos);
 			 $cedula=$row_alumnos["cedula"];
  			 $participante=$row_alumnos["apellidos"].', '.$row_alumnos["nombres"];
			   
			 // Verifica que el participante ya tenga inscrita la materia.
			 $sql = "SELECT * FROM inscripciones WHERE id_carrera='$carrera' and id_materia='$materia' and id_alumno='$id_alumno'";
 	         $rs2=mysql_query($sql, $cn);
	         $reg2=mysql_num_rows($rs2);
	         if ($reg2 == 0)
	         { 
			    // Verifica que el participante no tenga la materia aprobada.
			    $sql = "SELECT * FROM historico_notas WHERE id_carrera='$carrera' and id_materia='$materia' and id_alumno='$id_alumno' and nota>3";
 	            $rs3=mysql_query($sql, $cn);
	            $reg3=mysql_num_rows($rs3);
			    if ($reg3 == 0)
	               { 
                     // Inscribe al alumno, solo si no tiene la materia inscrita y no la ha aprobado.
		             $sql = "insert into `inscripciones` (`id_alumno`, `id_carrera`, `id_materia`, `id_seccion`, `id_periodo`, `sede`, `id_docente`,`fecha_inscripcion`) values ('$id_alumno','$carrera','$materia','$seccion_oferta','$periodo_actual','$sede','$docente','$fecha_ingreso')";
                     mysql_query($sql, $cn) or die(mysql_error());
					 $inscritos=$inscritos+1;
					 
					 // Buscar en historial alumnos.  Si no existe agregarlo.
  					$sqlHistorial = "SELECT * FROM historial_alumnos WHERE id_alumno='$id_alumno' and id_carrera='$carrera' and id_periodo='$id_periodo'";
  					$rstHistorial = mysql_query($sqlHistorial, $cn) or die(mysql_error());
  					$rowsHistorial = mysql_num_rows($rstHistorial);

  					if($rowsHistorial==0){
     					$sql = "insert into `historial_alumnos` (`id_alumno`, `cedula`, `participante`, `sede`, `id_periodo`, `id_carrera`, `nom_carrera`, `fecha`, `annio`) values ('$id_alumno', '$cedula', '$participante','$sede', '$id_periodo', '$carrera', '$nom_carrera','$fecha_ingreso', '$annio')";
    					 mysql_query($sql, $cn) or die(mysql_error());
 					 }
					 
					 
					 
			        } // Fin del If $reg3 == 0
				}	// Fin del If $reg2 == 0
        } // Fin del While 
		?>
	     <script type="text/javascript">
	        msj="Inscripción procesada. Se inscribieron <?php echo $inscritos ?> Participantes";
	 	    alert(msj);
	     </script>
	     <?php
	 }
	 else
	 { 
	   ?>
	     <script type="text/javascript">
	        msj="No existen participantes ACTIVOS en esa cohorte";
	 	    alert(msj);
	     </script>
	 <?php
		}
}

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     
?>